org.apache.tomcat.websocket.pojo

## Class PojoEndpointServer

- java.lang.Object
- - javax.websocket.Endpoint
  - - org.apache.tomcat.websocket.pojo.PojoEndpointBase
    - - org.apache.tomcat.websocket.pojo.PojoEndpointServer

    public class PojoEndpointServer
    extends PojoEndpointBase

Wrapper class for instances of POJOs annotated with `ServerEndpoint` so they appear as standard `Endpoint` instances.

### Field Summary

Fields
`static String` `POJO_METHOD_MAPPING_KEY`
`static String` `POJO_PATH_PARAM_KEY`

### Constructor Summary

Constructors
Constructor and Description
`PojoEndpointServer()`

### Method Summary

Methods
`void` `onOpen(Session session, EndpointConfig endpointConfig)` Event that is triggered when a new session starts.

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoEndpointBase

`doOnOpen, getMethodMapping, getPathParameters, getPojo, onClose, onError, setMethodMapping, setPathParameters, setPojo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### POJO_PATH_PARAM_KEY

    public static final String POJO_PATH_PARAM_KEY

See Also:
  Constant Field Values

#### POJO_METHOD_MAPPING_KEY

    public static final String POJO_METHOD_MAPPING_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### PojoEndpointServer

    public PojoEndpointServer()

### Method Detail

#### onOpen

    public void onOpen(Session session,
              EndpointConfig endpointConfig)

Description copied from class: `javax.websocket.Endpoint`
Event that is triggered when a new session starts.

Specified by:
  `onOpen` in class `Endpoint`
Parameters:
  `session` - The new session.